"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryMessageHandler = void 0;
const helpers_1 = require("../../../agent/helpers");
const messages_1 = require("../messages");
class QueryMessageHandler {
    constructor(discoverFeaturesService) {
        this.supportedMessages = [messages_1.QueryMessage];
        this.discoverFeaturesService = discoverFeaturesService;
    }
    async handle(inboundMessage) {
        const connection = inboundMessage.assertReadyConnection();
        const discloseMessage = await this.discoverFeaturesService.createDisclose(inboundMessage.message);
        return helpers_1.createOutboundMessage(connection, discloseMessage);
    }
}
exports.QueryMessageHandler = QueryMessageHandler;
//# sourceMappingURL=QueryMessageHandler.js.map